Schedule Sync All

Schedule Sync All
Submit sync request for the projects

Request sync for the sources belonging to the user's projects or specified projects

Request
URI
POST
https://{vcfa-fqdn}/content/api/sourcecontrol/sync-all-requests
COPY
Query Parameters
string
apiVersion
Optional

The version of the API in yyyy-MM-dd format (UTC). For versioning information, please refer to /content/api/about


Request Body
SourceControlSyncAllRequest of type(s) application/json
Optional
{
    "projectIds": [
        "string"
    ]
}
array of string
projectIds
Optional

Project Ids

Authentication
This operation uses the following authentication methods.
Responses
202

Submitted sync requests

Returns SourceControlSyncRequests of type(s) application/json
{
    "content": [
        {
            "requestId": "string",
            "sourceId": "string",
            "projectId": "string",
            "status": "string",
            "message": "string",
            "createdAt": "string",
            "lastUpdatedAt": "string"
        }
    ],
    "page": {
        "size": 0,
        "totalElements": 0,
        "totalPages": 0,
        "number": 0
    },
    "links": [
        {
            "href": "string",
            "rel": "string"
        }
    ]
}
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


401

Unauthorized

Returns SourceControlSyncRequests of type(s) application/json
{
    "content": [
        {
            "requestId": "string",
            "sourceId": "string",
            "projectId": "string",
            "status": "string",
            "message": "string",
            "createdAt": "string",
            "lastUpdatedAt": "string"
        }
    ],
    "page": {
        "size": 0,
        "totalElements": 0,
        "totalPages": 0,
        "number": 0
    },
    "links": [
        {
            "href": "string",
            "rel": "string"
        }
    ]
}
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


403

Forbidden

Returns SourceControlSyncRequests of type(s) application/json
"SourceControlSyncRequests Object"
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


404

Not Found

Returns SourceControlSyncRequests of type(s) application/json
"SourceControlSyncRequests Object"
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/content/api/sourcecontrol/sync-all-requests